import * as core from "@terrascript/core";

export interface DefaultKmsKeyArgs extends core.ResourceArgs {
  keyArn: string | core.StringOut;
}

export class DefaultKmsKey extends core.Resource<DefaultKmsKeyArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public keyArn!: string | core.StringOut;

  constructor(name: string, args?: DefaultKmsKeyArgs) {
    super(name, "aws_ebs_default_kms_key", args);
  }

  public override getNamespace(): string {
    return "aws_ebs";
  }
}
